#include<iostream>
#include<cmath>
using namespace std;

int f1(int n)
{
	int a=0;
	int i=0;
	int s[1000];
	while(n>0)
	{
		s[i]=n%10;
		n/=10;
		i++;
	}
	for(int j=0;j<i;j++)
	{
		if(s[j]==1)
			a++;
	}
	return a;
}

int f2(int n)
{
	int b=0;
	int i=0;
	int s[1000];
	while(n>0)
	{
		s[i]=n%10;
		n/=10;
		i++;
	}
	for(int j=0;j<i;j++)
	{
		if(s[j]==2)
			b++;
	}
	return b;
}

int f3(int n)
{
	int c=0;
	int i=0;
	int s[1000];
	while(n>0)
	{
		s[i]=n%10;
		n/=10;
		i++;
	}
	for(int j=0;j<i;j++)
	{
		if(s[j]==3)
			c++;
	}
	return c;
}

int main()
{
	int n;
	cin>>n;
	int a,b,c;
	a=f1(n);
	b=f2(n);
	c=f3(n);
	cout<<a<<" "<<b<<" "<<c;
	
	
	return 0;
}
